www.cendio.com

Bug 4496

Summary: Support HP t410 ARM terminals
Product: ThinLinc Reporter: Karl Mikaelsson <derfian@cendio.se>
Component: Client platformsAssignee: Peter Åstrand <astrand@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 Keywords: ossman_tester, relnotes
Version: trunk   
Target Milestone: 4.3.0   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:
Bug Depends on: 5000, 5185, 5196    
Bug Blocks:    

Description From cendio 2012-11-30 11:09:31
HP t410 are thin terminals powered by Texas Instruments TMS320DM8148 ARM
Cortex-A8 1 GHz, running HP Smart Zero Core (which would be the same thing as a
TFTP-booted ThinPro if I'm correctly informed).

http://h10010.www1.hp.com/wwpc/us/en/sm/WF25a/12454-12454-321959-338927-5231345-5234223.html?dnr=1
------- Comment #1 From cendio 2014-01-15 12:42:44 -------
Information from the latest firmware release notes:

[ ThinPro / SmartZero 4.4 RELEASE NOTES ]

T6X440XX – X for generic x86 (t5565, t505, t510, t610, t620)
Z6X440XX – X for generic x86 (t5565z, t510, t610, t620)
Z6A440XX – A for Atlas/ARM (t410)
Z5D440XX – D for Dove/Marvell/ARM (t5335z)



[ PRODUCT SPECIFICATION ]

Base image kernel and libraries
o   x86 images are using the following kernel and library versions
    - linux kernel 3.8.13
    - glibc 2.15
    - gtk2 2.24.10
    - gtk3 3.4.2
    - qt 4.8.1
    - pulseaudio 1.1

o   ARM images are using the following kernel and library versions
    - linux kernel 2.6.32 (t5335z)
    - linux kernel 2.6.37 (t410)
    - glibc 2.11.1
    - gtk 2.20.1
    - qt 4.6.2
    - pulseaudio 0.9.22

Hardware Platforms:
·        t5335z
·        t5565
·        t5565z
·        t410
·        t410aio
·        t505
·        t510
·        t610
·        t610 flex
·        t620 (NEW)

Note: t5745 is now a N-2 platform and not supported anymore
------- Comment #3 From cendio 2014-06-09 11:09:27 -------
The new softfloat DEB package (thinlinc-client_4.2.0post-XXX_armel.deb) runs
fine on the HP t410, started from a root xterm. Unfortunately, making the
client available to ordinary users, using the normal connection launcher is
very difficult. The t410 features a software called "Manticore Session Manager
(smgr)". On the positive side, it's possible to define new applications using a
"plugin" system (ie you can drop files in some directories). Unfortunately,
several files are required, and there's no documentation available. For
example, For Firefox we have:

/usr/bin/firefox
/usr/bin/firefox-general-mgr
/usr/bin/firefox-mgr
/usr/bin/firefox_wrapper.sh
/usr/share/manticore/plugins/firefox/
/usr/share/manticore/plugins/firefox/config
/usr/share/manticore/plugins/firefox/default.xml
/usr/share/manticore/plugins/firefox/mimeTypes.rdf
/usr/share/manticore/plugins/firefox/profile
/usr/share/manticore/plugins/firefox/profiles.ini
/usr/share/manticore/plugins/firefox/wrappers
/usr/share/manticore/plugins/firefox/wrappers/clone.sh

firefox-general-mgr and firefox-mgr are binaries. The "wrapper" script is a
script which takes a start/stop argument. The default.xml provides definitions
for the session manager GUI. The "wrapper" and XML file alone are 637 lines
long, so this is not trivial. But possible.
------- Comment #4 From cendio 2014-06-10 13:16:29 -------
(In reply to comment #3)
> The new softfloat DEB package (thinlinc-client_4.2.0post-XXX_armel.deb) runs
> fine on the HP t410, started from a root xterm. Unfortunately, making the
> client available to ordinary users, using the normal connection launcher is
> very difficult. The t410 features a software called "Manticore Session Manager
> (smgr)". On the positive side, it's possible to define new applications using a
> "plugin" system (ie you can drop files in some directories).

Moved to bug 5185.
------- Comment #5 From cendio 2014-06-24 09:44:12 -------
Note: In order to view installed software packages and versions in the control
panel, the package name (without version) should be added to
/etc/SysInfo/pkg_list.conf. This can be done with a postinstall such as:

grep -q thinlinc-client /etc/SysInfo/pkg_list.conf || echo thinlinc-client >>
/etc/SysInfo/pkg_list.conf
[ -e /etc/SysInfo/pkg_list.conf ] && grep -q thinlinc-client
/etc/SysInfo/pkg_list.conf || echo thinlinc-client >>
/etc/SysInfo/pkg_list.conf

Unfortunately, when restoring settings this file is also restored: from
/.flash/origfs/etc/SysInfo/pkg_list.conf. Changing that file seems a little bit
too magic. Adding code to rc.local to change this doesn't work either; this
file is also restored when resetting settings. 

Locally, the version and build number can be viewed simply by starting the
client, but probably pkg_list.conf is used when remotely checking versions,
using the management software.
------- Comment #6 From cendio 2014-06-25 15:52:20 -------
We are now shipping support files for Manticore, so the standard DEB package
now runs fairly fine on the t410. Briefly tested with sound, graphics etc with
good results. 

The tester should also check installation instructions. 

Time reporting includes time for bug 5185.
------- Comment #7 From cendio 2014-06-26 11:10:03 -------
(In reply to comment #5)
> Note: In order to view installed software packages and versions in the control
> panel, the package name (without version) should be added to
> /etc/SysInfo/pkg_list.conf. 

I checked this again. The t410 actually does not have an option for resetting
settings, so on that platform we should be fine. On t610, pkg_list.conf will be
wiped when settings are reset, but since a settings reset is no longer required
for installation, it will work in most cases, assuming a factory settings reset
is uncommon. Thus, I will add to pkg_list.conf.
------- Comment #8 From cendio 2014-06-26 11:17:25 -------
(In reply to comment #7)
> (In reply to comment #5)
> > Note: In order to view installed software packages and versions in the control
> > panel, the package name (without version) should be added to
> > /etc/SysInfo/pkg_list.conf. 
> 
> I checked this again. The t410 actually does not have an option for resetting
> settings, so on that platform we should be fine. On t610, pkg_list.conf will be
> wiped when settings are reset, but since a settings reset is no longer required
> for installation, it will work in most cases, assuming a factory settings reset
> is uncommon. Thus, I will add to pkg_list.conf.

29116.
------- Comment #9 From cendio 2014-09-30 14:10:04 -------
The current design is very confusing as there are two UIs, HP's and ThinLinc's.
You specify your username and password in HP's UI. But when you click connect
you get the ThinLinc UI. And upon failure you are left in the ThinLinc UI and
not dropped back into HP's.

There are a multitude of issue surrounding this:

 - It's not apparent how you reconfigure the client.
 - You are shown the ThinLinc login window whilst connecting
 - You are returned to the wrong dialog upon errors

We can do better. If not now, then at least in the future. We should have new
bugs and probably update the documentation for now.
------- Comment #10 From cendio 2014-09-30 14:11:17 -------
Other than above, it seems to work fine. Tested:

 - Sound
 - Smart card
 - Local drives (not configured out of box though, see bug 4288)

Not tested:

 - Local printer (only seems to support local USB printer, and it was difficult
to set up)
------- Comment #11 From cendio 2014-09-30 15:02:17 -------
(In reply to comment #9)

>  - You are shown the ThinLinc login window whilst connecting
>  - You are returned to the wrong dialog upon errors

https://www.cendio.com/bugzilla/show_bug.cgi?id=5276
------- Comment #12 From cendio 2014-09-30 16:06:46 -------
(In reply to comment #9)

>  - It's not apparent how you reconfigure the client.

Documented in 29438. We also have:

https://www.cendio.com/bugzilla/show_bug.cgi?id=5186
------- Comment #13 From cendio 2014-10-01 11:21:15 -------
Looks ok.